Subject: Re: linux-next: build warning after merge of the xfs tree

From: "Darrick J. Wong" <[email-masked]>
Date: Thu, 23 Jan 2020 20:17:43 -0800

On Fri, Jan 24, 2020 at 01:47:22PM +1100, Stephen Rothwell wrote:
> Hi all
> 
> On Thu, 16 Jan 2020 09:12:42 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the xfs tree, today's linux-next build
> > (powerpppc64_defconfig) produced this warning:
> > 
> > fs/xfs/xfs_inode.c: In function 'xfs_itruncate_extents_flags':
> > fs/xfs/xfs_inode.c:1523:8: warning: unused variable 'done' [-Wunused-variable]
> >  1523 |  int   done = 0;
> >       |        ^~~~
> > 
> > Introduced by commit
> > 
> >   4bbb04abb4ee ("xfs: truncate should remove all blocks, not just to the end of the page cache")
> 
> I am still getting this warning.

Aha, I had though this was gone but it turns out that I accidentally
merged the fix for this into an internal patch to grease my internal CI
scripts.  Ah well.  Patch soon.

--D

> -- 
> Cheers,
> Stephen Rothwell